﻿$packageName = 'source-han-sans-cn'
$global:packageMaintainer = 'davidpeng'
$url         = 'https://cdn.staticaly.com/gh/adobe-fonts/source-han-sans/2.000R/SubsetOTF/SourceHanSansCN.zip'
$checksum    = '4179381889BCCFF83DDFDA1BFA1901F45F25F80AF6C13C34FCDF596961033544'
$toolsDir    = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$destination = "$toolsDir\SourceHanSansCN"
$fontDir     = "$destination"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'ZIP'
  url           = $url
  checksum      = $checksum 
  checksumType  = 'sha256'
  }
  
Install-ChocolateyZIPPackage @packageArgs

Install-ChocolateyFont "$fontDir\SourceHanSansCN-Bold.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansCN-ExtraLight.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansCN-Heavy.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansCN-Light.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansCN-Medium.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansCN-Normal.otf"
Install-ChocolateyFont "$fontDir\SourceHanSansCN-Regular.otf"
 
Remove-Item $destination -Recurse
